import { HttpClient } from '@angular/common/http';
import { Injectable, inject } from '@angular/core';
import { TransactionDTO } from '../../../models';

@Injectable({
  providedIn: 'root'
})
export class TransactionService {

  http = inject(HttpClient);

  create(transaction: TransactionDTO) {
    return this.http.post<TransactionDTO>('/api/transaction', transaction);
  }

  getTransactionsOfUser(userId: number) {
    return this.http.get<TransactionDTO[]>('/api/transactions/of/' + userId);
  }
}
